package statusbar;

import com.japisoft.xmlpad.*;

import java.awt.*;
import javax.swing.*;

/** Simple status bar usage */
public class Demo extends JFrame implements LocationListener {
	private JLabel sb;

	public Demo() {
		XMLContainer container;
		getContentPane().add((container = new XMLContainer()).getView());
		getContentPane().add(sb = new JLabel("..."), BorderLayout.SOUTH);

		setSize(new Dimension(550, 400));
		setTitle("XMLPad statusbar demo");

		// Disable the inner statusbar
		container.setStatusBarAvailable(false);
		// Connect the listener for location
		container.setLocationListener(this);
		setVisible(true);
	}

	public void locationChanged(LocationEvent e) {
		sb.setText(e.getXPathLocation());
	}

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception exc) {
		}

		new Demo();
	}
}
